Busybox Version
#1
Hi,

Can you help me resolve this Busybox version issue?


Code:
cd buildroot && make ARCH=arm CROSS_COMPILE=arm-xilinx-linux-gnueabi- -j4
make[1]: Entering directory '/home/usman/risc-v/pulpino_2015-4/pulpino/fpga/sw/buildroot'
>>> toolchain-external undefined Extracting
>>> toolchain-external undefined Patching
>>> toolchain-external undefined Configuring
Incorrect selection of kernel headers: expected 3.16.x, got 3.19.x
package/pkg-generic.mk:146: recipe for target '/home/usman/risc-v/pulpino_2015-4/pulpino/fpga/sw/buildroot/output/build/toolchain-external-undefined/.stamp_configured' failed
Reply
#2
Hi Muhammad,

The kernel headers with which you build Busybox  have to match those the compiler was built for. It looks like the arm-xilinx-linux-gnueabi-gcc you are using was built for Linux 3.16 but you are using Linux 3.19 for Busybox (or vice versa, I do not remember the precise order of the Incorrect selection of kernel headers message).

I guess you are using the arm-xilinx-linux-gnueabi-gcc that comes with Vivado. If so, which version of Vivado are you using? The ReadMe in pulpino's fpga directory mentions 2015.1, so I suggest you use that. If you want or have to use a different version, you are on your own on fixing version mismatches.
Reply


Forum Jump: